package com.heyu.api.data.service.impl.api;
/**
* <p>
* 账户表 服务类
* </p>
*
* @author quyixiao
* @since 2025-04-19
*/

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.heyu.api.data.dao.api.ApiMobileMetaDao;
import com.heyu.api.data.entity.api.ApiMobileMetaEntity;
import com.heyu.api.data.service.api.ApiMobileMetaService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
@Service
public class ApiMobileMetaServiceImpl extends ServiceImpl<ApiMobileMetaDao, ApiMobileMetaEntity> implements ApiMobileMetaService {


    @Autowired
	private ApiMobileMetaDao apiMobileMetaDao;



	@Override
	public ApiMobileMetaEntity selectApiMobileMetaById(Long id){
		return apiMobileMetaDao.selectApiMobileMetaById(id);
	}



	@Override
	public Long insertApiMobileMeta(ApiMobileMetaEntity apiMobileMeta){
		return apiMobileMetaDao.insertApiMobileMeta(apiMobileMeta);
	}



	@Override
	public Long insertOrUpdateApiMobileMeta(ApiMobileMetaEntity apiMobileMeta){
		return apiMobileMetaDao.insertOrUpdateApiMobileMeta(apiMobileMeta);
	}



	@Override
	public int updateApiMobileMetaById(ApiMobileMetaEntity apiMobileMeta){
		return apiMobileMetaDao.updateApiMobileMetaById(apiMobileMeta);
	}



	@Override
	public int updateCoverApiMobileMetaById(ApiMobileMetaEntity apiMobileMeta){
		return apiMobileMetaDao.updateCoverApiMobileMetaById(apiMobileMeta);
	}



	@Override
	public int deleteApiMobileMetaById(Long id){
		return apiMobileMetaDao.deleteApiMobileMetaById(id);
	}



}
